> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Adicionar membros



## OpenAPI

````yaml /es/chat-api/api-reference/openapi-chat.json post /v1/chat/conversations/{id}/members
openapi: 3.0.3
info:
  title: Notifique API Chat
  description: >-
    Chat in-app: apps, usuarios, JWT, conversaciones y mensajes. Autentica con
    `Authorization: Bearer sk_live_...` (backend) o JWT del usuario. No envíes
    `x-workspace-id`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security:
  - ntfChatBearerAuth: []
  - ntfChatApiKeyHeader: []
tags:
  - name: Chat Apps
    description: CRUD de Chat Apps e rotação do signing secret
  - name: Chat Users
    description: Usuários, JWT e agentes
  - name: Chat Conversations
    description: Conversas 1:1, grupos e membros
  - name: Chat Messages
    description: Envio, listagem e exclusão
  - name: Chat Blocks
    description: Bloqueo entre usuarios de la misma Chat App
paths:
  /v1/chat/conversations/{id}/members:
    post:
      tags:
        - Chat Conversations
      summary: Adicionar membros
      operationId: ntfChat_postV1ChatConversationsIdMembers
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                members:
                  type: array
                  items:
                    type: string
                  example:
                    - user_carol
            example:
              members:
                - user_carol
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/NtfChat_Conversation'
        '401':
          description: API Key ou JWT ausente/inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
        '402':
          description: Workspace bloqueado ou créditos insuficientes.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
        '403':
          description: >-
            Sem escopo, origem não permitida ou JWT sem permissão
            (CHAT_CLIENT_CREATE_DISABLED).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
components:
  schemas:
    NtfChat_Conversation:
      type: object
      properties:
        id:
          type: string
          example: cnv_xxxxx
        chatAppId:
          type: string
          example: clxxapp...
        type:
          type: string
          enum:
            - DIRECT
            - GROUP
          example: DIRECT
        title:
          type: string
          nullable: true
        memberCount:
          type: integer
        lastMessagePreview:
          type: string
          nullable: true
        joinPolicy:
          type: string
          enum:
            - OPEN
            - ADMIN_ADD
            - INVITE
          nullable: true
        addPolicy:
          type: string
          enum:
            - ANY_MEMBER
            - ADMINS_ONLY
          nullable: true
        capabilities:
          type: object
          properties:
            enabledMessageTypes:
              type: array
              items:
                type: string
                enum:
                  - text
                  - image
                  - audio
                  - file
            editEnabled:
              type: boolean
            deleteForEveryoneEnabled:
              type: boolean
        appCapabilities:
          type: object
          properties:
            allowedMessageTypes:
              type: array
              items:
                type: string
                enum:
                  - text
                  - image
                  - audio
                  - file
            allowEdit:
              type: boolean
            allowDeleteForEveryone:
              type: boolean
            allowUserManageCapabilities:
              type: boolean
    NtfChat_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ntfChatBearerAuth:
      type: http
      scheme: bearer
      description: API Key `sk_live_…` / `sk_test_…` ou JWT do usuário do chat (`eyJ…`).
    ntfChatApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````